Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

Salesforce Organization APIs

Listing Salesforce Organizations

search

Please Note:

Listing Salesforce Organizations

Use the get /v1/cckm/sfdc/organizations API to view the list of Salesforce organizations available on the CipherTrust Manager.

Syntax

curl -k '<IP>/api/v1/cckm/sfdc/organizations?skip=0&limit=10' -H 'Authorization: Bearer AUTHTOKEN' --compressed

Request Parameter

ParameterTypeDescription
AUTHTOKENstringAuthorization token.

Request Query Parameters

ParameterTypeDescription
idstringResource ID of the Salesforce organization on the CipherTrust Manager. Note that a resource ID is different than the sfdc_org_id.
sfdc_org_idstringID of the Salesforce organization.
organization_typestringType of the Salesforce organization.
namestringName of the Salesforce organization, for example, Thales.
connectionstringName or ID of the Salesforce cloud connection on the CipherTrust Manager.
cloud_namestringName of the cloud where the Salesforce tenant secret resides.
skipintegerNumber of records to skip. For example, if "skip":5 is specified, the first five records will not be displayed in the output.
limitintegerNumbers of records to display. For example, if "limit":10 is specified, then the next 10 records (after skipping the number of records specified in the skip parameter) will be displayed in the output.
sortstringComma-delimited list of properties to sort the results.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/sfdc/organizations?skip=0&limit=10&sort=updatedAt' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiJhOGY3N2IxZS1lOTY2LTQwMjEtODRjMC01YjZiNjAzMTBmOWEiLCJzdWIiOiJsb2NhbHwzM2Y5ZDFmNi04MjJiLTQ0NTItOGM4MC1mYzM0ZGYyZTI3OGQiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiNjcyMjMzMDAtYjU2ZC00ZmVmLTkwMDEtZGE1NGY2ZDdiMzY4Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImFmMTFhYjM0LTFiNmQtNGY0Zi04ZTEzLTAxOGQ2ZGJlOTZlZiIsImlhdCI6MTYyMDE5NTM4OSwiZXhwIjoxNjIwMTk1Njg5fQ.PLhevpNJb6SRNJwkSZ8k_n_YpZlyU6-Fv8kkYfvsh3Q' --compressed

Example Response

{
    "skip": 0,
    "limit": 10,
    "total": 1,
    "resources": [
        {
            "id": "2473e846-31a8-4ee6-8299-17025548b4e2",
            "uri": "kylo:kylo:cckm:sfdc-organization:2473e846-31a8-4ee6-8299-17025548b4e2",
            "account": "kylo:kylo:admin:accounts:kylo",
            "application": "ncryptify:gemalto:admin:apps:kylo",
            "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
            "createdAt": "2021-07-21T16:46:39.29533Z",
            "updatedAt": "2021-07-21T17:51:22.139012Z",
            "name": "Thales",
            "organization_id": "00DB000000040bIMAQ",
            "connection": "sfdc-connection",
            "cloud_name": "sfdc",
            "type": "Regular"
        }
    ]
}

The output shows the list of Salesforce organizations available on the CipherTrust Manager based on the specified request query parameters. The resource "id" is used to view details of a specific organization. This is also required when Creating a Salesforce Tenant Secret.

Response Codes

Response CodeDescription
2xxSuccess
4xxClient errors
5xxServer errors

Refer to HTTP status codes for details.